var PublicationsDrawer = React.createClass({
	getInitialState: function() {
		return {
			data:[],
		};
	},
	componentDidMount: function() {
		var self = this;
		$.get(this.props.source, function(response) {
			if (this.isMounted()) {
				this.setState({
					data: response
				});
			}
		}.bind(this));
	},
	render:function() {
		var items = this.state.data || {};
		return (
			<div className="">
		    	<PublicationsList category={this.props.category} items={items} />
		    </div>
			)
	}
});


var PublicationsList = React.createClass({
	handleSearch:function(e) {
		var term = "websec";
		if($('#searchField').val().length > 0)
			term = $('#searchField').val();

		window.location.replace("/publicaciones/" + this.props.category + "/1/" + term);
		e.preventDefault();
	},
	render:function() {
		return (			
			<div className="">
				<form onSubmit={this.handleSearch}>
				<div className="row search-form">
				  <div className="col-lg-12">
				    <div className="input-group">
				    	<input name="page" type="hidden" value="1" />
				    	<input name="total" type="hidden" value="5" />
				    	<input name="category" type="hidden" value={this.props.category} />
				      	<input id="searchField" name="buscar" type="text" className="form-control" placeholder="Buscar..." />
				      	<span className="input-group-btn">
				        <a className="btn btn-primary" onClick={this.handleSearch}><span className="glyphicon glyphicon-search"/></a>
				      </span>
				    </div>
				  </div>
				</div>
				</form>
				<h3>Publicaciones pasadas</h3>
				<hr/>
				{this.props.items.map(function(item) {
					return <PublicationItemWrapper key={item.title} slug={item.slug} name={item.title} content={item.extract} created={item.created} category={item.category}/>;
				})}
				<hr/>
				<h3>Feed rss</h3>
				<p>Mantente al día con las últimas noticias en la industria de la seguridad informática</p>
				<p><a href={"/rss/" + this.props.category} title={this.props.category}><img width="100" src="/img/rss-big.png" alt="feed rss" /></a></p>
				
			</div>
			)
	}
});

var PublicationItemWrapper = React.createClass({
	render:function() {
		return (
			<div className="blogs-item">
				<a href={"/publicacion/" + this.props.category + "/" + this.props.slug} title={this.props.name}>{this.props.name}</a>
          		<hr/>
          	</div>
			)
	}
});

var params = window.location.pathname.split('/').slice(1);
var query = "/api/publication/extracts?category=" + params[1] + "&total=10";

ReactDOM.render(<PublicationsDrawer category={params[1]} source={query} />, document.getElementById('past-publications'));
